org.apache.commons.math3.ode

## Interface MainStateJacobianProvider

All Superinterfaces:
  FirstOrderDifferentialEquations

All Known Implementing Classes:
  JacobianMatrices.MainStateJacobianWrapper

    public interface MainStateJacobianProvider
    extends FirstOrderDifferentialEquations

Interface expanding `first order differential equations` in order to compute exactly the main state jacobian matrix for `partial derivatives equations`.

Since:
  3.0
Version:
  $Id: MainStateJacobianProvider.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`void` `computeMainStateJacobian(double t, double[] y, double[] yDot, double[][] dFdY)` Compute the jacobian matrix of ODE with respect to main state.

### Methods inherited from interface org.apache.commons.math3.ode.FirstOrderDifferentialEquations

`computeDerivatives, getDimension`

### Method Detail

#### computeMainStateJacobian

    void computeMainStateJacobian(double t,
                                double[] y,
                                double[] yDot,
                                double[][] dFdY)
                                  throws MaxCountExceededException,
                                         DimensionMismatchException

Compute the jacobian matrix of ODE with respect to main state.

Parameters:
  `t` - current value of the independent time variable
  `y` - array containing the current value of the main state vector
  `yDot` - array containing the current value of the time derivative of the main state vector
  `dFdY` - placeholder array where to put the jacobian matrix of the ODE w.r.t. the main state vector
Throws:
  `MaxCountExceededException` - if the number of functions evaluations is exceeded
  `DimensionMismatchException` - if arrays dimensions do not match equations settings